com.jnape.palatable.lambda.functions.builtin.fn2

## Class Into6<A,B,C,D,E,F,G>

- java.lang.Object
- - com.jnape.palatable.lambda.functions.builtin.fn2.Into6<A,B,C,D,E,F,G>

- Type Parameters:
    `A` - the first argument type
    `B` - the second argument type
    `C` - the third argument type
    `D` - the fourth argument type
    `E` - the fifth argument type
    `F` - the sixth argument type
    `G` - the result type
  All Implemented Interfaces:
    Fn1<Fn6<? super A,? super B,? super C,? super D,? super E,? super F,? extends G>,Fn1<Product6<A,B,C,D,E,F>,G>>, Fn2<Fn6<? super A,? super B,? super C,? super D,? super E,? super F,? extends G>,Product6<A,B,C,D,E,F>,G>, Applicative<Fn1<Product6<A,B,C,D,E,F>,G>,Fn1<Fn6<? super A,? super B,? super C,? super D,? super E,? super F,? extends G>,?>>, Cartesian<Fn6<? super A,? super B,? super C,? super D,? super E,? super F,? extends G>,Fn1<Product6<A,B,C,D,E,F>,G>,Fn1<?,?>>, Cocartesian<Fn6<? super A,? super B,? super C,? super D,? super E,? super F,? extends G>,Fn1<Product6<A,B,C,D,E,F>,G>,Fn1<?,?>>, Contravariant<Fn6<? super A,? super B,? super C,? super D,? super E,? super F,? extends G>,Profunctor<?,Fn1<Product6<A,B,C,D,E,F>,G>,Fn1<?,?>>>, Functor<Fn1<Product6<A,B,C,D,E,F>,G>,Fn1<Fn6<? super A,? super B,? super C,? super D,? super E,? super F,? extends G>,?>>, Profunctor<Fn6<? super A,? super B,? super C,? super D,? super E,? super F,? extends G>,Fn1<Product6<A,B,C,D,E,F>,G>,Fn1<?,?>>, Monad<Fn1<Product6<A,B,C,D,E,F>,G>,Fn1<Fn6<? super A,? super B,? super C,? super D,? super E,? super F,? extends G>,?>>, MonadReader<Fn6<? super A,? super B,? super C,? super D,? super E,? super F,? extends G>,Fn1<Product6<A,B,C,D,E,F>,G>,Fn1<Fn6<? super A,? super B,? super C,? super D,? super E,? super F,? extends G>,?>>, MonadRec<Fn1<Product6<A,B,C,D,E,F>,G>,Fn1<Fn6<? super A,? super B,? super C,? super D,? super E,? super F,? extends G>,?>>, MonadWriter<Fn6<? super A,? super B,? super C,? super D,? super E,? super F,? extends G>,Fn1<Product6<A,B,C,D,E,F>,G>,Fn1<Fn6<? super A,? super B,? super C,? super D,? super E,? super F,? extends G>,?>>

      public final class Into6<A,B,C,D,E,F,G>
      extends Object
      implements Fn2<Fn6<? super A,? super B,? super C,? super D,? super E,? super F,? extends G>,Product6<A,B,C,D,E,F>,G>

  Given an ``Fn6`<A, B, C, D, E, F, G>` and a ``Product6`<A, B, C, D, E, F>`, destructure the product and apply the slots as arguments to the function, returning the result.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Into6()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `G` | `checkedApply(Fn6<? super A,? super B,? super C,? super D,? super E,? super F,? extends G> fn, Product6<A,B,C,D,E,F> product)`
    `static <A,B,C,D,E,F,G> Into6<A,B,C,D,E,F,G>` | `into6()`
    `static <A,B,C,D,E,F,G> Fn1<Product6<A,B,C,D,E,F>,G>` | `into6(Fn6<? super A,? super B,? super C,? super D,? super E,? super F,? extends G> fn)`
    `static <A,B,C,D,E,F,G> G` | `into6(Fn6<? super A,? super B,? super C,? super D,? super E,? super F,? extends G> fn, Product6<A,B,C,D,E,F> product)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn2

      `apply, apply, checkedApply, compose, contraMap, curried, curry, diMapL, discardR, flip, fn2, fromBiFunction, toBiFunction, uncurry, widen`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn1

      `andThen, carry, cartesian, censor, choose, cocartesian, diMap, diMapR, discardL, flatMap, fmap, fn1, fromFunction, lazyZip, listens, local, pure, pureFn1, thunk, toFunction, trampolineM, zip, zip`

    - ### Methods inherited from interface com.jnape.palatable.lambda.monad.Monad

      `join`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functor.Functor

      `coerce`

- - ### Constructor Detail

    - #### Into6

          public Into6()

  - ### Method Detail

    - #### checkedApply

          public G checkedApply(Fn6<? super A,? super B,? super C,? super D,? super E,? super F,? extends G> fn,
                                Product6<A,B,C,D,E,F> product)

      Specified by:
        `checkedApply` in interface `Fn2<Fn6<? super A,? super B,? super C,? super D,? super E,? super F,? extends G>,Product6<A,B,C,D,E,F>,G>`

    - #### into6

          public static <A,B,C,D,E,F,G> Into6<A,B,C,D,E,F,G> into6()

    - #### into6

          public static <A,B,C,D,E,F,G> Fn1<Product6<A,B,C,D,E,F>,G> into6(Fn6<? super A,? super B,? super C,? super D,? super E,? super F,? extends G> fn)

    - #### into6

          public static <A,B,C,D,E,F,G> G into6(Fn6<? super A,? super B,? super C,? super D,? super E,? super F,? extends G> fn,
                                                Product6<A,B,C,D,E,F> product)